curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"SubscriptionItemHistory\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\", \"index\": 0, \"product\": { \"object\": \"Product\", \"id\": \"BOOTCAMP_INDIA\", \"vid\": \"57d59f31c92777adfcb4d545f2b9357a51ff35b1\" }, \"quantity\": 1, \"created\": \"2022-04-05T06:58:09+00:00\", \"starts\": \"2022-04-05T00:00:00+00:00\" }, \"action\": \"Add\", \"effective\": \"2022-04-05T06:58:09+00:00\", \"created\": \"2022-04-05T06:58:09+00:00\" } ], \"total_count\": 1, \"url\": \"/subscriptions/Subscription_1649141886/subscription_item_history\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Fetch Subscription Item History
Retrieves the SubscriptionItem history for a specified subscription.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/subscription_item_history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"SubscriptionItemHistory\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\", \"index\": 0, \"product\": { \"object\": \"Product\", \"id\": \"BOOTCAMP_INDIA\", \"vid\": \"57d59f31c92777adfcb4d545f2b9357a51ff35b1\" }, \"quantity\": 1, \"created\": \"2022-04-05T06:58:09+00:00\", \"starts\": \"2022-04-05T00:00:00+00:00\" }, \"action\": \"Add\", \"effective\": \"2022-04-05T06:58:09+00:00\", \"created\": \"2022-04-05T06:58:09+00:00\" } ], \"total_count\": 1, \"url\": \"/subscriptions/Subscription_1649141886/subscription_item_history\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the Subscription to retrieve Subscription Item history A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Response
JSON A list array with a data property that contains an array of up to limit Subscriptions, starting after the specified starting_after Subscription (or ending before the specified ending_before Subscription). Each entry in the array is a full Subscription object. If no more Subscriptions are available, the resulting array will be empty. This request should never throw an error.
A list of Subscription objects matching the query. Also:
-
"total_count": Integer count of the number of TimeInterval in the returned list.
-
"url": The query string provided in the request
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here
The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here
"{ \"object\": \"List\", \"data\": [ { \"object\": \"SubscriptionItemHistory\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\", \"index\": 0, \"product\": { \"object\": \"Product\", \"id\": \"BOOTCAMP_INDIA\", \"vid\": \"57d59f31c92777adfcb4d545f2b9357a51ff35b1\" }, \"quantity\": 1, \"created\": \"2022-04-05T06:58:09+00:00\", \"starts\": \"2022-04-05T00:00:00+00:00\" }, \"action\": \"Add\", \"effective\": \"2022-04-05T06:58:09+00:00\", \"created\": \"2022-04-05T06:58:09+00:00\" } ], \"total_count\": 1, \"url\": \"/subscriptions/Subscription_1649141886/subscription_item_history\" }"

